# vps_ubuntu



Tento repozitář obsahuje skripty a návody pro správu a nastavení Ubuntu VPS serveru.

## Obsah

- [setup_server.sh](setup_server.sh)

## setup_server.sh

Tento skript provede základní nastavení serveru včetně vytvoření nového uživatele, nastavení SSH přístupu a konfigurace firewallu.

### Použití

1. Stáhněte skript `setup_server.sh` na váš server pomocí `wget`:
   
   ```bash
    wget https://git.arch-linux.cz/Archos/vps_ubuntu/-/raw/main/setup_server.sh
    ```
2. Ujistěte se, že skript `setup_server.sh` má spustitelná práva:
    
    ```bash
    chmod +x setup_server.sh
    ```
3. Spusťte skript:
4. 
    ```bash
    ./setup_server.sh
    ```

### Popis skriptu

Skript `setup_server.sh` provádí následující kroky:

1. Vyžádá si zadání jména nového uživatele.
2. Vyžádá si zadání nového SSH portu (výchozí port je 2022).
3. Vytvoří nového uživatele a přidá ho do skupiny `sudo`.
4. Nastaví SSH klíče pro nového uživatele.
5. Nainstaluje a nakonfiguruje firewall `ufw`, pokud není nainstalovaný.
6. Nastaví základní pravidla firewallu:
    - Zakáže všechny příchozí připojení.
    - Povolení všech odchozích připojení.
    - Povolení příchozích připojení na zadaném SSH portu.
7. Změní konfiguraci SSH:
    - Nastaví nový SSH port.
    - Zakáže přihlášení root uživatele.
    - Zakáže autentizaci pomocí hesla.
    - Povolení autentizace pomocí veřejných klíčů.
8. Restartuje SSH službu, aby se změny projevily.
9. Vypíše konečné instrukce pro připojení k serveru.

### Příklad použití

Při spuštění skriptu budete vyzváni k zadání informací:

```bash
./setup_server.sh
```

Zadejte jméno nového uživatele: exampleuser
Zadejte nový SSH port (výchozí 2022): 2222
Vložte veřejný klíč pro uživatele exampleuser: ssh-rsa AAAAB3...

Po dokončení skriptu se zobrazí zpráva s informacemi pro připojení:

```bash
Nastavení serveru je dokončeno.
Připojte se k serveru pomocí: ssh -p 2222 exampleuser@<vaše veřejná IP adresa>
```

## Příspěvky

Pokud máte jakékoli vylepšení nebo nové skripty, neváhejte vytvořit Pull Request nebo otevřít Issue.

## Licence

Tento projekt je licencován pod MIT licencí.
